GET /v2/customerReview/{id}

Returns one customer review by id. The review is returned with its full reply thread under the discussion field. Body response contains data in the JSON or XML format.

Resource information

Authentication Yes
Response Formats xml, json
HTTP Method GET
Response Object A single customer review object
API Version v2

Path parameters

NameTypeDescription
id long Customer review id.

Example Request

https://api.poplidays.com/v2/customerReview/4422123

Example Response

json response body

{
    "score": 9,
    "title": "Excellent stay",
    "body": "Beautiful location, very clean apartment, friendly host.",
    "author": "John D.",
    "lang": "en",
    "propertyId": 1012345678901,
    "city": "Cannes",
    "labelPropertyType": "Apartment",
    "photoId": 88123456,
    "reviewDate": "2026-03-12T14:22:31+0100",
    "bookingId": 5512345,
    "discussion": [
        {
            "score": 0,
            "body": "Thank you for your kind words!",
            "author": "Property Manager",
            "lang": "en",
            "reviewDate": "2026-03-13T09:08:11+0100"
        }
    ]
}